libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::Config::ProviderInfoTraits Struct Reference

List of all members.

## Public Types

typedef Gnome::Gda::ProviderInfo | CppType
typedef const GdaProviderInfo* | CType
typedef GdaProviderInfo* | CTypeNonConst

## Static Public Member Functions

static void | release_c_type (CType ptr)
static CType | to_c_type (CType ptr)
static CType | to_c_type (const CppType& obj)
static CppType | to_cpp_type (CType ptr)

## Member Typedef Documentation

typedef Gnome::Gda::ProviderInfo Gnome::Gda::Config::ProviderInfoTraits::CppType

typedef const GdaProviderInfo* Gnome::Gda::Config::ProviderInfoTraits::CType

typedef GdaProviderInfo* Gnome::Gda::Config::ProviderInfoTraits::CTypeNonConst

## Member Function Documentation

static void Gnome::Gda::Config::ProviderInfoTraits::release_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Gnome::Gda::Config::ProviderInfoTraits::to_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Gnome::Gda::Config::ProviderInfoTraits::to_c_type | ( | const CppType& | obj | ) | `[inline, static]`

static CppType Gnome::Gda::Config::ProviderInfoTraits::to_cpp_type | ( | CType | ptr | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- config.h